Customer Sync Notification

Notification from Praxis where merchant would receive the customer's details from CRM when an agent attempts to access the Virtual Terminal for a customer from the Backoffice. To enable this retrieval, the CRM must implement an API callback endpoint that will be available to receive the request from and respond with the appropriate customer information.

Important:

Ensure that you have provided the callback URL to your technical support representative before attempting to use the Virtual Terminal.

Body Params
string
required
length ≤ 50

Unique customer id in your system.

Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.

string
length ≤ 50

Transaction or session identifier in your system.

string
required
length ≤ 50

Merchant API client account identifier.

string
required
length ≤ 32

Identifier of your application (website).

string
required
length ≤ 3

API version.

integer
required

Request time (unix timestamp, seconds).

Headers
string
required

Authentication HTTP header of an incoming webhook customer sync request from Praxis. Verify the signature with the below attributes from the webhook customer sync request.

  • merchant_id
  • application_key
  • timestamp
  • cid

The optional order_id request field is not included in the signature for v1.3

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json